Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007607TestLinkBug Tracking System - JIRA Integrationpublic2016-06-22 14:242017-09-12 04:29
Reportertjosephine 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.14 (2015 Q3) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0007607: Resolved bug in Jira is not reported in TestLink (REST Integration)
DescriptionHi,

I am using TestLink 1.9.14 integrated with Jira Atlassian for testing (using Jira REST interface).
Here is the configuration I used:

<issuetracker>
<username>testlink.forum</username>
<password>forum</password>
<uribase>http://testlink.atlassian.net/</uribase> [^]
<uriapi>https://testlink.atlassian.net/rest/api/latest/</uriapi> [^]
<uriview>https://testlink.atlassian.net/browse/</uriview> [^]
<projectkey>ZOFF</projectkey>
<userinteraction>1</userinteraction>
<issuetype>1</issuetype>
</issuetracker>

For a failed test case I am able to select an existing bug, or I can create a new one in the ZOFF project.

Nevertheless if I put the bug resolved in Jira, when running the report "Bugs per Test case", the status is still 0.
Steps To Reproduce- Setup Jira integration (see configuration above) using REST interface
- Create a failed TC in TestLink
- Associate an existing bug to the test case
- In Jira, put the bug as "Resolved"
- Generate "Bugs per Test Case" report in TestLink
- Verify the "Resolved" field is still 0 instead of 1
Additional InformationFixed with Jira SOAP interface only
http://mantis.testlink.org/view.php?id=5417 [^]

TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserChrome v.51
PHP Version5.6.14
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filespng file icon bug per test case.png [^] (26,855 bytes) 2016-06-22 14:24


png file icon bug per test case_fixed.png [^] (22,457 bytes) 2017-09-11 21:02

- Relationships
child of 0007817new Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub 

-  Notes
(0026624)
tjosephine (reporter)
2017-07-19 20:37

This report issue is not fixed in release 1.9.16
(0026740)
fman (administrator)
2017-08-18 13:54
edited on: 2017-08-18 14:04

@tjosephine
please provide details about JIRA Interface used SOAP or REST

Because SOAP has been deprecated I've no chance to do tests on this

(0026743)
tjosephine (reporter)
2017-08-18 14:21

I know SOAP has been deprecated.
That is why we are using Jira REST interface for the configuration.

I found a similar issue (0005417) using Jira SOAP interface that was resolved in the past by your team but the issue is still there using the Jira REST interface.

If you can use the configuration mentioned above for testing, you will be able to reproduce the issue. Thanks
(0026829)
fman (administrator)
2017-09-09 16:23

Fix for REST
https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/8e91e497fd39d472f761c0ac68453cf8766b3621 [^]
(0026830)
fman (administrator)
2017-09-09 16:23

please test & provide feedback
(0026832)
tjosephine (reporter)
2017-09-11 21:02

Fresh install with latest code from github

The fix for REST (comment 0026829) is already implemented in lib/issuetrackerintegration/jirarestInterface.class.php

Working successfully.

Thanks a lot!

- Issue History
Date Modified Username Field Change
2016-06-22 14:24 tjosephine New Issue
2016-06-22 14:24 tjosephine File Added: bug per test case.png
2017-07-19 20:37 tjosephine Note Added: 0026624
2017-08-18 13:54 fman Note Added: 0026740
2017-08-18 14:04 fman Note Edited: 0026740 View Revisions
2017-08-18 14:21 tjosephine Note Added: 0026743
2017-08-18 15:09 fman QA Team - Task Workflow Status => TBD
2017-08-18 15:09 fman Summary Resolved bug in Jira is not reported in TestLink => Resolved bug in Jira is not reported in TestLink (REST Integration)
2017-09-09 16:23 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-09-09 16:23 fman Note Added: 0026829
2017-09-09 16:23 fman Note Added: 0026830
2017-09-09 16:23 fman Assigned To => fman
2017-09-09 16:23 fman Status new => feedback
2017-09-11 21:02 tjosephine File Added: bug per test case_fixed.png
2017-09-11 21:02 tjosephine Note Added: 0026832
2017-09-11 21:02 tjosephine Status feedback => assigned
2017-09-12 04:29 fman Status assigned => resolved
2017-09-12 04:29 fman Resolution open => fixed
2017-09-12 04:29 fman Relationship added child of 0007817



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker